Bug 1404827 - [RFE] CloudForms 4.1 unable to add Azure Gov Cloud Provider
Summary: [RFE] CloudForms 4.1 unable to add Azure Gov Cloud Provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.7.1
Assignee: Daniel Berger
QA Contact: Jeff Teehan
URL:
Whiteboard: azure:gov
Depends On: 1403366 1412355
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 18:29 UTC by Satoe Imaishi
Modified: 2020-06-11 13:08 UTC (History)
10 users (show)

Fixed In Version: 5.7.1.2
Doc Type: Enhancement
Doc Text:
Clone Of: 1403366
Environment:
Last Closed: 2017-02-27 19:15:36 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2016-12-15 13:41:16 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9abf2dc398da496184f55e80f8867d74b20a73f4

commit 9abf2dc398da496184f55e80f8867d74b20a73f4
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Dec 14 11:23:32 2016 -0500
Commit:     Oleg Barenboim <chessbyte@gmail.com>
CommitDate: Thu Dec 15 08:36:34 2016 -0500

    Merge pull request #13156 from bronaghs/disabled_regions_setting_ems_azure
    
    Add :disabled_regions setting for ems_azure
    (cherry picked from commit a0c6c1a674a427dc4a588e2d360310831bbb7a51)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1404827
    https://bugzilla.redhat.com/show_bug.cgi?id=1404871

 config/settings.yml | 2 ++
 1 file changed, 2 insertions(+)

Comment 3 CFME Bot 2016-12-15 13:45:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d7381914e78cbfd3ad2c91ac0688e2a50b40cde5

commit d7381914e78cbfd3ad2c91ac0688e2a50b40cde5
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Dec 14 12:58:58 2016 -0500
Commit:     Oleg Barenboim <chessbyte@gmail.com>
CommitDate: Thu Dec 15 08:43:49 2016 -0500

    Merge pull request #19 from bronaghs/master
    
    Disable/Enable support for specific regions.
    (cherry picked from commit 0369dabeccf0d4c4d7ca74e2f4113d71daf00040)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1404827
    https://bugzilla.redhat.com/show_bug.cgi?id=1404871

 app/models/manageiq/providers/azure/regions.rb | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

Comment 6 Greg Blomquist 2017-02-01 18:40:44 UTC
https://github.com/ManageIQ/manageiq/pull/13670

Comment 7 CFME Bot 2017-02-09 16:21:03 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4f30af588005dca381bf438777427b7ca2c5b6ae

commit 4f30af588005dca381bf438777427b7ca2c5b6ae
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Thu Feb 9 10:48:16 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Feb 9 11:16:43 2017 -0500

    Merge pull request #28 from djberg96/usgov
    
    Add usgov support, fix rescue scoping
    (cherry picked from commit 5879733bc0ef74b2ffd3658d81b1cd7af7e2eb82)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1404827

 app/models/manageiq/providers/azure/manager_mixin.rb | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

Comment 8 Jeff Teehan 2017-02-16 20:19:26 UTC
It works fine.  Just need to go into advanced settings and remove one of the gov regions from the azure hide list.  And if you happen to have the secret settings you can add it like any other provider.

Comment 9 errata-xmlrpc 2017-02-27 19:15:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.